LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Ubuntu
User Name
Password
Ubuntu This forum is for the discussion of Ubuntu Linux.

Notices



Reply
 
Search this Thread
Old 10-20-2012, 01:58 AM   #1
vignesh4sh
Member
 
Registered: Oct 2012
Posts: 69

Rep: Reputation: Disabled
how to install postgresql8.1.2 in ubuntu12.04


Hi,
I need to install postgresql 8.1.2 in ubuntu 12.04

I have tried. but getting error

Code:
sudo apt-get install postgresql-8.1

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package postgresql-8.1 is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'postgresql-8.1' has no installation candidate.
please help me.

Last edited by vignesh4sh; 10-20-2012 at 01:59 AM.
 
Old 10-20-2012, 03:17 AM   #2
Ztcoracat
Senior Member
 
Registered: Dec 2011
Distribution: Slackware,CentOS & Linux Mint
Posts: 3,407
Blog Entries: 1

Rep: Reputation: Disabled
Hi:

I found the page with postgresql-8.1 on it:
https://launchpad.net/ubuntu/+source....1.2-1~breezy1
postgresql-8.1_8.1.2-1~breezy1.dsc 874 bytes 34eb2abab7e82ae499309e64ac07e549
postgresql-8.1_8.1.2.orig.tar.gz 10.8 MiB 91d75231cfe329d788675cd252d3a195
postgresql-8.1_8.1.2-1~breezy1.diff.gz 20.7 KiB 35ca7244d9807978768527b749956eac

Here's the Official Ubuntu Community Documentation on this:
https://help.ubuntu.com/community/PostgreSQL

Also, check in your Software Manager or Synaptic Package Manager. That way if this package has other dependiencies Synaptic will know about it; inform you of them and install along with your package.

HTH
 
Old 10-20-2012, 03:26 AM   #3
vignesh4sh
Member
 
Registered: Oct 2012
Posts: 69

Original Poster
Rep: Reputation: Disabled
Thanks for reply.

when i do installation in apt-get.

sudo apt-get install postgresql-8.1

I used to get same error.

Is there anything to modify in /etc/apt/source.list file (using ubuntu 12.04 Lts)

please reply
 
Old 10-20-2012, 03:46 AM   #4
Ztcoracat
Senior Member
 
Registered: Dec 2011
Distribution: Slackware,CentOS & Linux Mint
Posts: 3,407
Blog Entries: 1

Rep: Reputation: Disabled
If there are repositories or backports to add to your etc/apt/sources.list I would check with the folks at Ubuntu.
http://ubuntuforums.org/showthread.p...r+ubuntu+12.04
http://ubuntuforums.org/search.php?searchid=88091903

I don't wanna tell you the wrong http: to add to your sources list-

Cheers!

Last edited by Ztcoracat; 10-20-2012 at 03:48 AM. Reason: Additional website
 
Old 10-20-2012, 06:56 AM   #5
vignesh4sh
Member
 
Registered: Oct 2012
Posts: 69

Original Poster
Rep: Reputation: Disabled
Thanks

I did installation in source package of postgres8.1
its working now.
 
Old 10-22-2012, 12:41 AM   #6
Ztcoracat
Senior Member
 
Registered: Dec 2011
Distribution: Slackware,CentOS & Linux Mint
Posts: 3,407
Blog Entries: 1

Rep: Reputation: Disabled
Good I'm glad it's working for you now.

Don't forget to mark your thread Solved-

Have a good week!
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Error installing Ubuntu12.4 kawasakioutlaw Linux - Newbie 2 08-08-2012 11:18 PM
LXer: Nvidia 302.17 has been released! Install in Ubuntu12.04, LinuxMint13, Fedora17 LXer Syndicated Linux News 0 06-19-2012 04:10 AM
debian squeeze and postgresql8.4 issue mad_penguin Linux - Newbie 1 03-29-2012 01:02 PM
[SOLVED] Trouble Installing postgresql8.4 on CentOS twaddlac Linux - Software 3 08-03-2010 09:28 AM
How to/Problems - Apache2+PHP5+PostgreSQL8 schneider Linux - Software 1 02-02-2005 09:19 AM


All times are GMT -5. The time now is 03:15 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration